glutCreateSubWindow(3GLUT)

NAME
glutCreateSubWindow - creates a subwindow.

SYNTAX
#include <GLUT/glut.h>

int glutCreateSubWindow(int win,
	int x, int y, int width, int height);

ARGUMENTS

win Identifier of the subwindow's parent window.

x   Window X location in pixels relative to parent window's origin.

y   Window Y location in pixels relative to parent window's origin.

width
    Width in pixels.

height
    Height in pixels.

DESCRIPTION
glutCreateSubWindow creates a subwindow of the window identified by win of size width and height at location x and y within the current window. Implicitly, the current window is set to the newly created subwindow. Each created window has a unique associated OpenGL context. State changes to a window's associated OpenGL context can be done immediately after the window is created. The display state of a window is initially for the window to be shown. But the window's display state is not actually acted upon until glutMainLoop is entered. This means until glutMainLoop is called, rendering to a created window is ineffective. Subwindows can not be iconified. Subwindows can be nested arbitrarily deep. The value returned is a unique small integer identifier for the window. The range of allocated identifiers starts at one.

SEE ALSO
glutCreateWindow, glutDestroyWindow

AUTHOR
Mark J. Kilgard (mjk@nvidia.com)